Internet Information Services (IIS) 6.0

Used with the Microsoft® Windows® Server 2003 family, Internet Information Services (IIS) provides integrated, reliable, scalable, secure, and manageable Web server capabilities over an intranet, the Internet, or through an extranet. You can use IIS 6.0 to create a strong communications platform of dynamic network applications. IIS 6.0 includes new features designed to help organizations, IT professionals, and Web administrators achieve their goals of performance, reliability, scalability, and security for potentially thousands of Web sites either on a single IIS server or on multiple servers.

  • For help with specific tasks, see How to.
  • For general background information, see Internet Information Services (IIS) 6.0 overview.
  • For information about IIS 6.0 and security, see Internet Information Services (IIS) 6.0 security overview.
  • For information about Web application development and IIS 6.0, see Web application development overview.
  • For problem-solving instructions, see Troubleshooting.


How to...

  • Install Internet Information Services (IIS) 6.0
  • Open IIS Manager
  • View Internet Information Services (IIS) 6.0 Help


Install Internet Information Services (IIS) 6.0

Microsoft Windows graphic

To install Internet Information Services (IIS) 6.0

  1. Open the Windows Components Wizard.
  2. Under Components, click Application Server, and then click Details.
  3. In the Application Server dialog box, under Subcomponents of Application Server, click Internet Information Services (IIS), and then click Details.
  4. In the Internet Information Services (IIS) dialog box, under Subcomponents of Internet Information Services (IIS), do either of the following:
    • To add optional components, select the check box next to the component that you want to install.
    • To remove optional components, clear the check box next to the component that you want to remove.
  5. Click OK until you return to the Windows Component Wizard.
  6. Click Next, and then click Finish.

Notes

  • XOX
  • To verify that your IIS server is working correctly, use an Internet browser to view your Web page. Try to view the Web page on a computer that is on the same local area network (LAN) as the IIS server that you are testing. To verify that the Web site is available over the Internet, view it by using a computer that is not on the same local area network (LAN) as the IIS server that you are testing. If your Web browser returns an error, see Related Topics.
  • The World Wide Web Service optional component includes important subcomponents, such as Active Server Pages and the Remote Administration Tool (HTML). To add or remove these subcomponents, click World Wide Web Service, and then click Details.

Related Topics


Open IIS Manager

Microsoft Windows graphic

To open IIS Manager

  • XOX

Notes

  • You must be a member of the Administrators group on the local computer to perform the following procedure (or procedures), or you must have been delegated the appropriate authority. As a security best practice, log on to your computer using an account that is not in the Administrators group, and then use the Run as command to run IIS Manager as an administrator. From the command prompt, type:

    runas /user:administrative_accountname "mmc %systemroot%\system32\inetsrv\iis.msc"

    • XOX

  • To verify that your IIS server is working correctly, use an Internet browser to view your Web page. Try to view the Web page on a computer that is on the same local area network (LAN) as the IIS server that you are testing. To verify that the Web site is available over the Internet, view it by using a computer that is not on the same local area network (LAN) as the IIS server that you are testing. If your Web browser returns an error, see Related Topics.

Related Topics


View Internet Information Services (IIS) 6.0 Help

Microsoft Windows Graphic

To view Internet Information Services (IIS) 6.0 Help

  • Open Internet Information Services 6.0 Help.
  • To view Simple Mail Transfer Protocol (SMTP) documentation, install the SMTP service, and then open Microsoft SMTP Service Help.
  • To view Network News Transfer Protocol (NNTP) documentation, install the NNTP service, and then open Microsoft NNTP Service Help.
  • To view Background Intelligent Transfer Service (BITS) documentation, open Background Intelligent Transfer Service Help.

Notes

  • XOX To open IIS 6.0 Help in IIS Manager, click Help, and then click Help Topics.
  • For information about installing the SMTP service, the NNTP service, or BITS, see IIS 6.0 Help.
  • If you install Help from the Windows Server 2003 Administration Tools Pack on a computer running XOX, you access IIS 5.1 Help when you click Help in IIS Manager. To open IIS 6.0 Help, click the link provided in this topic.

Related Topics


Internet Information Services (IIS) 6.0 overview

Used with the Microsoft® Windows® Server 2003 family, Internet Information Services (IIS) provides integrated, reliable, scalable, secure, and manageable Web server capabilities over an intranet, the Internet, or through an extranet. You can use IIS 6.0 to create a strong communications platform of dynamic network applications. Organizations of all sizes use IIS to host and manage Web pages on the Internet or an intranet, to host and manage File Transfer Protocol (FTP) sites, and to route news or mail using the Network News Transfer Protocol (NNTP) and the Simple Mail Transfer Protocol (SMTP). IIS 6.0 capitalizes on the latest Web standards like ASP.NET, Extensible Markup Language (XML), and Simple Object Access Protocol (SOAP) for the development, implementation, and management of Web applications. IIS 6.0 includes new features designed to help organizations, IT professionals, and Web administrators achieve their goals of performance, reliability, scalability, and security for potentially thousands of Web sites either on a single IIS server or on multiple servers.

The following table lists the benefits and features provided with this version of IIS.

Feature | Description
Reliable | IIS 6.0 uses a new request-processing architecture and application-isolation environment that enables individual Web applications to function within a self-contained worker process. This environment prevents one application or Web site from stopping another, and reduces the amount of time administrators spend restarting services to correct problems related to applications. The new environment also includes proactive application health monitoring.
Scalable IIS 6.0 introduces a new kernel-mode driver for HTTP parsing and caching, specifically tuned to increase Web server throughput and scalability of multiprocessor computers, thereby significantly increasing the following:
  • The number of sites that a single IIS 6.0 server can host
  • The number of concurrently active worker processes

By configuring startup and shutdown time limits on worker processes, IIS scales further because the service allocates resources to active sites, instead of wasting resources on idle requests.
Secure | IIS 6.0 includes a variety of security features and technologies that you can use to ensure the integrity of your Web and FTP site content, in addition to the data transmitted by your sites. To reduce the attack surface of systems, IIS is not installed by default on servers running Windows Server 2003. For more information, see Internet Information Services (IIS) 6.0 security overview.
Manageable | To meet the needs of diverse customers, IIS provides a variety of manageability and administration tools. As an administrator, you can configure an IIS 6.0 server by using IIS Manager, administration scripts, or by directly editing the IIS plain-text configuration file. You can also remotely administer IIS servers and sites. This version of IIS includes a plain-text .xml metabase configuration file, which you can edit manually or programmatically. The metabase is a repository for most IIS configuration values. Metabase reengineering has lead to dramatic improvements in server startup and shutdown times, in addition to enhancing overall metabase performance and usability.
Enhanced Development | The Windows Server 2003 family offers an improved developer experience with ASP.NET and IIS integration. ASP.NET understands most Active Server Pages (ASP) code and provides greater functionality for building enterprise-class Web applications that can work as a part of the .NET Framework. By using ASP.NET, you can take full advantage of the features of the common language runtime, such as type safety, inheritance, language interoperability, and versioning. IIS 6.0 supports the latest Web standards, including XML, SOAP, and IP version 6 (IPv6).
Application Compatibility | IIS 6.0 is compatible with most existing applications, based on feedback from thousands of customers and independent software vendors (ISVs). To ensure maximum compatibility, you can configure IIS 6.0 to run in IIS 5.0 isolation mode.

Before you install IIS

If TCP/IP and connectivity utilities are not already installed on your computer, you must install them prior to installing IIS. If you are publishing on the Internet, your Internet service provider (ISP) must provide the IP address and subnet mask for you server, as well as the IP address for the default gateway. The default gateway is the ISP computer through which your computer routes all Internet traffic. For more information, see TCP/IP utilities.

The following optional components are recommended:

  • Domain Name System (DNS)—It is recommended that you install DNS on a computer in your intranet. If your intranet is small, you can use Hosts or Lmhosts files on all of the computers in your network. This step is optional, but it allows users to use friendly names instead of IP addresses. On the Internet, Web sites typically use DNS. If you register a domain name for your site, users can type your site's domain name in a browser to access your Web site. For more information, see DNS.
  • The NTFS file system—For security purposes, it is recommended that you format all IIS drives with the NTFS file system. For more information, see NTFS.
  • Microsoft FrontPage—You can use Microsoft® FrontPage® to create and edit HTML pages for your Web site. FrontPage is an HTML editor that provides a friendly, graphical user interface for tasks such as inserting tables, graphics, and scripts. For more information, see "Microsoft FrontPage" at the Microsoft Web site. (http://www.microsoft.com)

Installing IIS

When you install IIS initially, the service is installed in a highly secure mode. Because IIS only serves static content by default, you must enable features such as ASP, ASP.NET, Common Gateway Interface (CGI), Internet Server Application Programming Interface (ISAPI), and Web Distributed Authoring and Versioning (WebDAV), if you need them. For more information about installing IIS, see To install Internet Information Services (IIS) 6.0. For more information about enabling these features, see "Enabling and Disabling Dynamic Content" in Internet Information Services (IIS) 6.0 Help. For information about how to open Internet Information Services (IIS) 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.

During installation, IIS installs optional components such as common files and IIS Manager. You can choose not to install the optional components. However, if you do not install specific components, you can decrease IIS functionality or disable IIS services. If you are unfamiliar with the optional components and how they affect IIS, install IIS with the default settings. For more information about optional components, see "Installing IIS" in Internet Information Services (IIS) 6.0 Help. For information about how to open Internet Information Services (IIS) 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.

Note

  • XOX


Internet Information Services (IIS) 6.0 security overview

IIS is not installed by default on computers running Windows Server 2003 operating systems. This prevents administrators from installing the service unintentionally. Operating systems in the Windows Server 2003 family includes a new policy, Prevent IIS from Installing, which allows domain administrators to control which servers running Windows Server 2003 are permitted to install IIS. For information about how to apply this policy, see Group Policy.

To protect your server from attacks by malicious users, the World Wide Web Publishing Service is disabled during upgrade from a computer running Windows 2000. You can enable World Wide Web Publishing Service by using the Services snap-in. For more information, see To start, stop, pause, resume, or restart a service.

IIS 6.0 is fully locked down by default

When you install IIS, the service is installed in a highly secure and locked mode. By default, IIS serves only static content, which means that features such as Active Server Pages (ASP), ASP.NET, Indexing Service, server-side includes (SSI), Web Distributed Authoring and Versioning (WebDAV), and FrontPage Server Extensions do not work unless you enable them. If you do not enable these features after installing IIS, IIS returns a 404 error. To serve dynamic content and unlock these features, you must enable them by using IIS Manager. Administrators can enable or disable IIS functionality based on the needs of the organization. For more information, see "Enabling or Disabling Dynamic Content" in IIS 6.0 Help. Also, if an application extension is not mapped in IIS, IIS returns a 404 error. To map an application extension, see "Setting Application Mappings" in IIS 6.0 Help. For more information about troubleshooting 404 errors, see "Troubleshooting" in IIS 6.0 Help. For information about how to open IIS 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.

IIS 6.0 security features

IIS 6.0 offers many features for securing you application server, these include:

  • Authentication mechanisms including the new Advanced Digest authentication.
  • URL authorization which provides role-based authorization to specific URLs.
  • Secure Sockets Layer (SSL) 3.0 which provides you with a secure way to exchange information.
  • Selectable Cryptographic Service Provider, which allows you to select a cryptographic service provider (CSP) that suits your needs.

For more information about IIS 6.0 security, see IIS 6.0 Help. For information about how to open Internet Information Services (IIS) 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.


Web application development overview

You can configure your server to be an application server. An application server is a combination of technologies that includes Internet Information Services (IIS) and ASP.NET. ASP.NET is part of the .NET Framework, a unified Web development platform that provides the services necessary for developers to build enterprise-class Web applications.

.NET Framework

The Windows Server 2003 family includes the .NET Framework. The .NET Framework is a new computing platform that simplifies application development in the distributed environment of the Internet. The .NET Framework is designed to provide an object-oriented programming environment that guarantees the safe execution of code and to eliminate the performance problems of scripted environments.

The .NET Framework has two main components: the common language runtime and the .NET Framework class library. ASP.NET hosts the runtime to provide core services such as memory management, thread management, and remote management while enforcing strict type safety and other forms of code accuracy that ensure security and robustness. Code management is a fundamental principle of the runtime. Code that targets the runtime is called managed code, while code that does not target the runtime is called unmanaged code.

The .NET Framework class library is a comprehensive, object-oriented collection of reusable types that developers can use to create ASP.NET applications.

The .NET Framework Software Development Kit (SDK), which includes everything you need to write, build, test, and deploy .NET Framework applications, is available for download from MSDN at the Microsoft Web site. (http://msdn.microsoft.com/)

ASP.NET

ASP.NET is a unified Web development platform that provides the services necessary for you to build enterprise-class Web applications. While ASP.NET is largely syntax compatible with Active Server Pages (ASP), it also provides a new programming model and infrastructure for more secure, scalable, and stable applications. You can augment your existing ASP applications by incrementally adding ASP.NET functionality to them.

ASP.NET is a compiled, .NET-based environment. You can author applications in any .NET–compatible language, including Visual Basic .NET, C#, and JScript .NET. Additionally, the entire .NET Framework, which includes a managed common language run-time environment, type safety, and inheritance, is available to any ASP.NET application.

For more information about administering ASP.NET applications on a server running an operating system in the Windows Server 2003 family, see Internet Information Services (IIS) 6.0 Help. For information about how to open Internet Information Services (IIS) 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.

For more information about developing ASP.NET applications, see "Creating ASP.NET Web Applications" at the Microsoft Web site. (http://msdn.microsoft.com/)

Active Server Pages (ASP)

ASP has undergone several important changes and enhancements to improve security and performance, including better international and UCS Transformation Format 8 (UTF-8) support, improved POST support, ASP hang detection, caching of popular files, Universal Naming Convention (UNC) enhancements, COM+ services in ASP, apartment-model threading selection, side-by-side assemblies, COM+ partitions, COM+ tracker, transactions, and new metabase properties for ASP. For more information about new ASP features, see "What's New in ASP" in Internet Information Services (IIS) 6.0 Help. For information about how to open Internet Information Services (IIS) 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.

Note

  • XOX


Troubleshooting

What problem are you having?

I received the "Cannot find server" error message.

Cause: Your server is not available.

Solution: To determine why the server is unavailable, ping your IIS server and try to determine the problem based on the results of the ping. Use the ping command at the command line. Before you can ping your server, you need to determine the server name or its IP address. If you want to ping your server by name and your server is on an intranet, you need to know its NetBIOS name. If you want to ping your server by name and your server connects to the Internet, you need to know its fully qualified domain name (FQDN).

Important

  • To adequately test network connectivity, you must ping your server from a remote computer. If you run a ping command from your local server, the ping does not enter the network loops within your local server.

To ping the server by using the NetBIOS name

  • Open a command prompt on a remote computer, and then type:

    ping ServerName

After you ping your server, one of the following occurs:

  • You receive four replies from the Web server that includes the IP address of the server, which indicates that the server is responding to network requests.
  • You receive an error message such as "Request timed out" or "Unknown host". If you receive a "Request timed out" error message, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server. If you receive an "Unknown host" error message, try to ping your server by using the IP address to determine whether you have a name resolution problem.

Notes

  • XOX
  • To determine the NetBIOS name, do the following:

    • XOX In the System Properties dialog box, click the Computer Name tab. On the Computer Name tab, Full computer name displays the FQDN for your server. The section of Full computer name that does not include the domain is the NetBIOS name. For example, if the name wkstn1.example.microsoft.com appears in Full computer name, wkstn1 is the NetBIOS name.

To ping the server by using the FQDN

  • Open a command prompt on a remote computer, and then type:

    ping FQDN

After you ping your server, one of the following occurs:

  • You receive four replies from the Web server that includes the IP address of the server, which indicates that the server is responding to network requests.
  • You receive an error message such as "Request timed out" or "Unknown host". If you receive a "Request timed out" error message, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server. If you receive an "Unknown host" error message, try to ping your server by using the IP address to determine whether you have a name resolution problem.

Notes

  • XOX
  • You must include a space between ping and the FQDN (for example, ping wkstn1.example.microsoft.com).
  • To determine the FQDN, do the following:

    • XOX In the System Properties dialog box, click the Computer Name tab. On the Computer Name tab, Full computer name displays the FQDN for your server.

To ping the server by using the IP address

  • Open a command prompt on a remote computer, and then type:

    ping IPaddress

After you ping your server, one of the following occurs:

  • You receive four replies from the Web server that includes the IP address of the server, which indicates that the server is responding to network requests.
  • You receive an error message such as "Request timed out" or "Unknown host". If you receive a "Request timed out" or "Unknown host" error message, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server.

Notes

  • XOX
  • If the server responds when you ping its IP address but does not respond when you ping the server name, you have a name resolution problem. For more information, see See also.
  • To determine the IP address, use the ipconfig command at a command prompt on the IIS server. For more information, see See also.

See also: Using the ping command; Ping; Name resolution; Ipconfig

I received the "The page cannot be displayed" error message.

Cause: IIS is not responding.

Solution: Restart IIS.

If you cannot locate the source of the problem by pinging your server, restart IIS. For more information about pinging your server, see "I received the "Cannot find server" error message." Use IIS to start or stop any Web site on your IIS server or restart the World Wide Web Publishing Service, which restarts IIS at the server level. When you restart the World Wide Web Publishing Service, all sites running from the designated computer are affected.

You need to restart IIS from the server that is running IIS. Before restarting IIS, you must be a member of the Administrators group on the server that you want to administer.

To restart a Web site

  1. Click Start, and then click Run.
  2. In Open, type inetmgr, and then click OK.
  3. Open the server node in the console tree. An asterisk between the server icon and the server name indicates the local server.
  4. Click the Web site that you want to restart.
  5. From the Action menu, click Stop.
    6. When the site is stopped, (Stopped) appears next to the site name in the console tree.
  6. To restart the Web site, from the Action menu, click Start.

To restart the WWW service

  1. Click Start, and then click Run.
  2. In Open, type inetmgr, and then click OK.
  3. Open the server node in the console tree. An asterisk between the server icon and the server name indicates the local server.
  4. From the Action menu, click Restart IIS.
  5. Click Restart Internet Services on ServerName, where ServerName is the name of your server, and then click OK.

See also: User and group accounts

I received the "Under Construction" error message or "The site you are trying to reach does not currently have a default page" error message.

Cause: IIS is unable to locate the default page for your Web site.

Solution: Verify or change the location of your default Web site. By default, the files for your default Web site are located at X:\inetpub\wwwroot, where X is the drive on which your Windows Server 2003 operating system is installed. For example, if XOX, is installed to your C: drive, the content files for your default home page are stored at C:\inetpub\wwwroot. You need to test the location of your content files from the server that is running IIS.

To determine the location of your default Web site content pages

  1. Click Start, and then click Run.
  2. In Open, type inetmgr, and then click OK.
  3. Open the server node in the console tree. An asterisk between the server icon and the server name indicates the local server.
  4. Click Default Web Site.
  5. From the Action menu, click Properties.
  6. Click the Home Directory tab, and then verify that Local Path lists the correct path to your default Web site content pages.
  7. Use Windows Explorer to verify that your files actually exist in the folder specified in Local Path. If your files do not exist in the specified location, update Local Path with the correct location of your default Web site content files.

Note

  • If you want to change the local path to your content files, on the Home Directory tab, click Browse or type a new location in Local Path. Verify that your content files exist in the folder that you specify.

You are unable to serve dynamic content and IIS has returned a 404 error.

Cause: When you install IIS, the service is installed in a highly secure and locked mode. By default, IIS serves only static content, which means that features such as Active Server Pages (ASP), ASP.NET, Indexing Service, server-side includes (SSI), Web Distributed Authoring and Versioning (WebDAV), and FrontPage Server Extensions do not work unless you enable them. If you do not enable these features after installing IIS, IIS returns a 404 error.

Solution: To serve dynamic content and unlock these features, you must enable them by using IIS Manager. Administrators can enable or disable IIS functionality based on the needs of the organization. Also, if an application extension is not mapped in IIS, IIS returns a 404 error. To map an application extension, see "Setting Application Mappings" in IIS 6.0 Help. For more information about troubleshooting 404 errors, see "Troubleshooting" in IIS 6.0 Help. For information about how to open IIS 6.0 Help, see To view Internet Information Services (IIS) 6.0 Help.